Last Comment Bug 1186547 - mReadOnly and mDisabled do not reflect readOnly and disabled properties
: mReadOnly and mDisabled do not reflect readOnly and disabled properties
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: CalDAV (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.0.2
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on: 1195974
Blocks: ltn402
  Show dependency treegraph
 
Reported: 2015-07-22 11:48 PDT by Philipp Kewisch [:Fallen]
Modified: 2015-09-04 07:23 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (3.77 KB, patch)
2015-07-22 11:48 PDT, Philipp Kewisch [:Fallen]
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
philipp: approval‑calendar‑esr+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-07-22 11:48:06 PDT
See bug 674088 for details:

"""
Then, I looked at the "minor error" code, this is obviously not a minor error. I've noticed that changing mReadOnly and mDisabled does not actually change the properties "readOnly" and "disabled". I've fixed this by removing mDisabled and mReadOnly and just using the property getters directly.
"""
Comment 1 User image Philipp Kewisch [:Fallen] 2015-07-22 11:48:54 PDT
Created attachment 8637361 [details] [diff] [review]
Fix - v1

r+ from the other bug
Comment 2 User image Philipp Kewisch [:Fallen] 2015-07-22 12:00:54 PDT
Backported to releases/comm-aurora changeset c53da8a616fa
Comment 3 User image Philipp Kewisch [:Fallen] 2015-07-22 12:02:05 PDT
Backported to releases/comm-beta changeset 18d4427d4203
Comment 4 User image Philipp Kewisch [:Fallen] 2015-07-22 12:03:55 PDT
Backported to releases/comm-esr38 changeset 59bfcc074820
Comment 5 User image Philipp Kewisch [:Fallen] 2015-07-22 12:21:45 PDT
Backported to releases/comm-aurora changeset 3638ae3dc946
Comment 6 User image Philipp Kewisch [:Fallen] 2015-07-22 12:24:32 PDT
Backported to releases/comm-beta changeset 3a6adf92dcac
Comment 7 User image Philipp Kewisch [:Fallen] 2015-07-22 12:25:17 PDT
Backported to releases/comm-esr38 changeset e08fb68b3474
Comment 8 User image [:MakeMyDay] 2015-07-26 13:25:14 PDT
This still needs to be checked in to cc - setting checkin-needed for this.
Comment 9 User image [:MakeMyDay] 2015-08-07 03:56:19 PDT
This patch is bitrotted for cc when applyied on top of the one from https://bugzilla.mozilla.org/show_bug.cgi?id=674088#c21
Comment 10 User image Philipp Kewisch [:Fallen] 2015-08-08 03:09:47 PDT
url:        https://hg.mozilla.org/comm-central/rev/bdc31ac73a9af77519a613c794cf8c7a2d989a8b
changeset:  bdc31ac73a9af77519a613c794cf8c7a2d989a8b
user:       Philipp Kewisch <mozilla@kewis.ch>
date:       Sat Aug 08 11:05:38 2015 +0100
description:
Fix bug 1186547 - mReadOnly and mDisabled do not reflect readOnly and disabled properties. r=MakeMyDay
Comment 11 User image Stefan Sitter 2015-08-08 04:36:08 PDT
Is the 2nd checkin from comment 6/7/8 required for comm-central too?
Comment 12 User image Philipp Kewisch [:Fallen] 2015-08-08 08:45:38 PDT
Looking at http://mxr.mozilla.org/comm-central/source/calendar/providers/caldav/calDavCalendar.js#1888 this has already happened in the patch for bug 674088. There was a bit of a mess with the push messages here.
Comment 13 User image Stefan Sitter 2015-08-18 21:29:47 PDT
Could this be responsible for the regression reported in Bug 1195800 / Bug 1195974?
Comment 14 User image Philipp Kewisch [:Fallen] 2015-08-19 13:36:38 PDT
Yes, quite likely. I've set bug 1195974 to be tracked for 4.0.3
Comment 15 User image Stefan Sitter 2015-09-04 07:23:15 PDT
Patch was backed-out from Lightning 4.5, 4.4, 4.3 and 4.0 with Bug 1195974. Follow up in Bug 1201862.

Note You need to log in before you can comment on or make changes to this bug.